Bug 10116 - архитектура x86-64: smb-backend ищется cups'ом в /usr/lib вместо /usr/lib64
: архитектура x86-64: smb-backend ищется cups'ом в /usr/lib вместо /usr/lib64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/samba-client-cups)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-10-11 21:16 by
Modified: 2007-02-03 19:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-11 21:16:29
В 64-х битном сизифе samba-client-cups  лежит в 
/usr/lib64/cups/backend/smb , но cups'ом не обнаружевается. smb-backend начинает 
работать как только сделать ссылку в /usr/lib/cups/backend/smb.
------- Comment #1 From 2006-10-11 21:59:36 -------
Это скорее проблема CUPS, чем samba
------- Comment #2 From 2006-10-13 10:34:07 -------
Хорошо посмотрю.
------- Comment #3 From 2006-10-13 11:56:01 -------
Вообще-то я уверен в обратном ... а вообще будь он неладен этот multilib.

Да сейчас cups действительно на всех архитектурах держит свой SERVERBIN именно
в
/usr/lib.

И в этом есть резон.
Так поступают все приложения, имеющие расширения как архитектурно-зависимые,
так
и архитектурно независимые (например perl)

Иначе, например, будут большие проблемы если якобы архитектурно-независимый
пакет с бакендом или фильтром для cups пойдёт собираться на amd64.

Так что даже если upstream когда-нибудь и выберет вариант с /usr/lib64, мы
будем
вынуждены всегда переделывать его на /usr/lib.
------- Comment #4 From 2006-10-13 16:12:51 -------
cups-config --serverbin возвращает значение которое следует использовать при
установке своих фильтров.
------- Comment #5 From 2007-02-03 19:01:36 -------
Fixed in upcoming 3.0.24